Results 1 to 7 of 7

Thread: File IO Error updating from 3.5.0 to 3.5.1

  1. #1
    Ext JS Premium Member
    Join Date
    Jan 2010
    Location
    Italy
    Posts
    44

    Default File IO Error updating from 3.5.0 to 3.5.1

    Hi,
    During the update the process stops with
    "ERROR CODE: 3
    File IO Error: Error occurred while writing file to disk.
    APP"
    Any suggestion...

  2. #2
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795

    Default

    Hello

    Can you please post your OS? Also please check that you have enough space on the system disk.

    If you are on Linux and SA was installed under root, please try running it using "sudo".
    If you are on Windows the updater should work even when SA was installed as Admin.

    Regards
    Petr

  3. #3
    Ext JS Premium Member
    Join Date
    Jan 2010
    Location
    Italy
    Posts
    44

    Default

    The space on disk is ok,
    I'm running with Windows 7 64-bit
    May be an proxy problem?

  4. #4
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795

    Default

    If the error says that there is error writing to the disk, the update is probably already downloaded.

    Anyway can you download the installer from the support portal ? When you start the installer, the option to replace the current installation will be automatically selected and after finishing the installation everything should be the same as before.

    Or you can even install it to the different location and have both versions installed, but keep in mind that you can not run two SA simultaneously. ( You can, but Sencha Cmd won't work)

  5. #5
    Ext JS Premium Member
    Join Date
    Jan 2010
    Location
    Italy
    Posts
    44

    Default

    Unfortunately the subscription is expired... and we can't download the update.
    If I run as administrator SA says that is unable to establish internet connection!
    Strange behaviour, I am able to navigate normally by IE

  6. #6
    Sencha User
    Join Date
    Sep 2014
    Location
    Central Europe
    Posts
    795

    Default

    Have you used the proxy for registering the SA 3.5 - or did you have the offline license file? If you use system proxy, SA should work correctly with it.

    You can try to backup your user license file located
    C:\Users\<user>\AppData\Local\Sencha\Sencha Architect 3.5
    Than delete it from that location and start SA when trying to login - it will do a check for connection and if any problems occurs it will offer you proxy settings.

    But SA 3.5.1 is fixing an issue with proxy which used authentication. If you use authentication for your proxy it will most likely not work with 3.5.0

  7. #7
    Ext JS Premium Member
    Join Date
    Jan 2010
    Location
    Italy
    Posts
    44

    Default

    Solved, We just downloaded the trial version and installed over the 3.5.0. Now everything is ok. Thanks for the support.

Similar Threads

  1. Error while updating RC1
    By hergerger in forum Sencha Architect 3.x: Q&A
    Replies: 10
    Last Post: 8 Nov 2013, 8:09 AM
  2. Replies: 3
    Last Post: 19 Jan 2012, 5:58 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •